asyncapi: 2.4.0
info:
  title: Sample event test n°5
  version: 1.0.0
  description: Test description
servers:
  cluster:
    url: Test server
    description: Confluent Kafka instance.
    protocol: kafka
    security:
    - confluentBroker: []
  schema-registry:
    url: Test schema registry
    description: Confluent Kafka Schema Registry Server
    protocol: kafka
    security:
    - confluentSchemaRegistry: []
channels:
  global.consumer.consumerprofile.appsmonitoring.v1:
    description: <nil>
    subscribe:
      tags:
      - name: producer_pool_5x0q
      - name: producer_pool_306R
      operationId: GlobalConsumerConsumerprofileAppsmonitoringV1Subscribe
      bindings:
        kafka:
          bindingVersion: 0.3.0
          groupId:
            type: string
          clientId:
            type: string
      message:
        $ref: '#/components/messages/GlobalConsumerConsumerprofileAppsmonitoringV1Message'
    bindings:
      kafka:
        bindingVersion: 0.4.0
        partitions: 3
        topicConfiguration:
          cleanup.policy:
          - delete
          retention.ms: 6.048e+08
          retention.bytes: -1
          delete.retention.ms: 8.64e+07
          max.message.bytes: 2.097164e+06
        x-configs:
          compression.gzip.level: "-1"
          compression.lz4.level: "9"
          compression.type: producer
          compression.zstd.level: "3"
          confluent.key.schema.validation: "false"
          confluent.key.subject.name.strategy: io.confluent.kafka.serializers.subject.TopicNameStrategy
          confluent.schema.validation.context.name: default
          confluent.value.schema.validation: "false"
          confluent.value.subject.name.strategy: io.confluent.kafka.serializers.subject.TopicNameStrategy
          file.delete.delay.ms: "60000"
          flush.messages: "9223372036854775807"
          flush.ms: "9223372036854775807"
          follower.replication.throttled.replicas: ""
          index.interval.bytes: "4096"
          leader.replication.throttled.replicas: ""
          local.retention.bytes: "-2"
          local.retention.ms: "-2"
          max.compaction.lag.ms: "9223372036854775807"
          message.downconversion.enable: "true"
          message.timestamp.after.max.ms: "9223372036854775807"
          message.timestamp.before.max.ms: "9223372036854775807"
          message.timestamp.difference.max.ms: "9223372036854775807"
          message.timestamp.type: CreateTime
          min.cleanable.dirty.ratio: "0.5"
          min.compaction.lag.ms: "0"
          min.insync.replicas: "2"
          preallocate: "false"
          remote.log.copy.disable: "false"
          remote.log.delete.on.disable: "false"
          remote.storage.enable: "false"
          segment.bytes: "104857600"
          segment.index.bytes: "10485760"
          segment.jitter.ms: "0"
          segment.ms: "604800000"
          unclean.leader.election.enable: "false"
    x-messageCompatibility: BACKWARD
components:
  messages:
    GlobalConsumerConsumerprofileAppsmonitoringV1Message:
      schemaFormat: application/schema+json;version=draft-07
      contentType: application/json
      payload:
        $schema: http://json-schema.org/draft-04/schema#
        additionalProperties: false
        description: Schema for event notifications in Azure B2C Integration Platform
          with Elastic Sonar requirements.
        properties:
          activityName:
            description: HIP Log Data (Only v2).
            type: string
          businessParams:
            description: Dynamic End User Defined Key/Value pairs.
            properties:
              BXP_Metadata:
                description: Flattened JSON object for business metadata.
                type: object
              BXP_Optins:
                description: Flattened JSON object for opt-in preferences.
                type: object
              Sonar_ApplicationType:
                description: Application type (e.g., AZURE_FUNCTION).
                type: string
              Sonar_Brand:
                description: Entity Referential (UNIKA + Custo).
                type: string
              Sonar_CorrelationId:
                description: Correlation ID.
                type: string
              Sonar_CountryCode:
                description: ISO Country Code (2 characters).
                type: string
              Sonar_ErrorMessage:
                description: Error message for business process.
                type: string
              Sonar_KeyName1:
                description: Custom key name 1.
                type: string
              Sonar_KeyName2:
                description: Custom key name 2.
                type: string
              Sonar_KeyName3:
                description: Custom key name 3.
                type: string
              Sonar_KeyValue1:
                description: Value for custom key name 1.
                type: string
              Sonar_KeyValue2:
                description: Value for custom key name 2.
                type: string
              Sonar_KeyValue3:
                description: Value for custom key name 3.
                type: string
              Sonar_Organization:
                description: Enum of predefined organization values.
                type: string
              Sonar_Source:
                description: Source system name.
                type: string
            type: object
          cause:
            description: HIP Error Message with detailed information.
            type: string
          childInstanceId:
            description: Child Transaction ID (HalfFlow), often the same as parentInstanceId.
            type: string
          code:
            description: Predefined Processing Error Codes.
            type: string
          creationDate:
            description: HIP Trace timestamp in UTC format.
            format: date-time
            type: string
          exchange:
            description: HIP Exchange Name.
            type: string
          fileName:
            description: HIP File name (Only v2, for file integrations).
            type: string
          halfFlowName:
            description: HIP HalfFlow Name.
            type: string
          level:
            description: Trace Activity Type such as ENTRYINFO, EXITINFO, ERROR, or
              WARNING.
            type: string
          location:
            description: HIP Component name (Advanced Details).
            type: string
          message:
            description: High-level cause of the exception.
            type: string
          parentInstanceId:
            description: Main Trace ID (Exchange) for correlation.
            type: string
          processName:
            description: HIP Process Name (Advanced Details).
            type: string
          processStackTrace:
            description: Detailed stack trace (Only v2).
            type: string
          project:
            description: HIP Logical Exchange Grouping.
            type: string
          traceParams:
            description: Dynamic Framework Defined Key/Value pairs.
            properties:
              Fwk_functional_param_Interface:
                description: Functional interface parameter.
                type: string
              Fwk_functional_param_Protocol:
                description: Functional protocol parameter.
                type: string
              fwk_tech_param_function:
                description: HTTP method (e.g., POST).
                type: string
              fwk_tech_param_service:
                description: Technical service name.
                type: string
              fwk_tech_param_version:
                description: Framework version.
                type: string
              fwk_tech_param_workerTechnology:
                description: Worker technology (e.g., AZURE).
                type: string
            type: object
        required:
        - code
        - level
        - parentInstanceId
        - exchange
        - halfFlowName
        - location
        - project
        - processName
        - creationDate
        title: Azure B2C Integration Platform - Elastic Sonar Events
        type: object
      name: GlobalConsumerConsumerprofileAppsmonitoringV1Message
      bindings:
        kafka:
          bindingVersion: 0.3.0
          key:
            type: string
  securitySchemes:
    confluentBroker:
      type: userPassword
      x-configs:
        sasl.mechanisms: PLAIN
        sasl.password: '{{CLUSTER_API_SECRET}}'
        sasl.username: '{{CLUSTER_API_KEY}}'
        security.protocol: sasl_ssl
    confluentSchemaRegistry:
      type: userPassword
      x-configs:
        basic.auth.user.info: '{{SCHEMA_REGISTRY_API_KEY}}:{{SCHEMA_REGISTRY_API_SECRET}}'